package com.fidufosyga.rules;

/*
 * NoCoincideLongitudoTipoCampoNumericoObligatorioDepEmpiezaCero.java
 *
 * Created on 7 de abril de 2007, 02:55 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 *//*


package com.soluziona.fidufosyga.rules;

/**
 *
 * @author Julian
 */
public class NoCoincideLongitudoTipoCampoNumericoObligatorioDepEmpiezaCero
		extends AbstractRule {

	/**
	 * Creates a new instance of
	 * NoCoincideLongitudoTipoCampoNumericoObligatorioDepEmpiezaCero
	 */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		if (registro[new Integer((String) getParams()[0]).intValue()]
				.equals(getParams()[1])) {

			if (field.length() < new Integer((String) getParams()[2])
					.intValue()
					|| field.length() > new Integer((String) getParams()[3])
							.intValue())
				return true;
			if (field.charAt(0) == ('0')) {
				return true;
			}

			try {
				Long.parseLong(field);
			} catch (Exception e) {
				return true;
			}
			if (field.indexOf('+') >= 0 || field.indexOf('.') >= 0
					|| field.indexOf('-') >= 0 || field.indexOf('e') >= 0
					|| field.indexOf('E') >= 0) {
				return true;
			}

		}

		return false;
	}
}
